Package org.apache.storm.generated

## Class ExecutorSummary

- java.lang.Object
- - org.apache.storm.generated.ExecutorSummary

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<ExecutorSummary>`, `org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class ExecutorSummary
      extends Object
      implements org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>, Serializable, Cloneable, Comparable<ExecutorSummary>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExecutorSummary._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<ExecutorSummary._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorSummary()` |
    `ExecutorSummary​(ExecutorInfo executor_info, String component_id, String host, int port, int uptime_secs)` |
    `ExecutorSummary​(ExecutorSummary other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(ExecutorSummary other)` |
    `ExecutorSummary` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(ExecutorSummary that)` |
    `ExecutorSummary._Fields` | `fieldForId​(int fieldId)` |
    `String` | `get_component_id()` |
    `ExecutorInfo` | `get_executor_info()` |
    `String` | `get_host()` |
    `int` | `get_port()` |
    `ExecutorStats` | `get_stats()` |
    `int` | `get_uptime_secs()` |
    `Object` | `getFieldValue​(ExecutorSummary._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_component_id()` | Returns true if field component_id is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_executor_info()` | Returns true if field executor_info is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_host()` | Returns true if field host is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_port()` | Returns true if field port is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_stats()` | Returns true if field stats is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_uptime_secs()` | Returns true if field uptime_secs is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(ExecutorSummary._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_component_id​(String component_id)` |
    `void` | `set_component_id_isSet​(boolean value)` |
    `void` | `set_executor_info​(ExecutorInfo executor_info)` |
    `void` | `set_executor_info_isSet​(boolean value)` |
    `void` | `set_host​(String host)` |
    `void` | `set_host_isSet​(boolean value)` |
    `void` | `set_port​(int port)` |
    `void` | `set_port_isSet​(boolean value)` |
    `void` | `set_stats​(ExecutorStats stats)` |
    `void` | `set_stats_isSet​(boolean value)` |
    `void` | `set_uptime_secs​(int uptime_secs)` |
    `void` | `set_uptime_secs_isSet​(boolean value)` |
    `void` | `setFieldValue​(ExecutorSummary._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_component_id()` |
    `void` | `unset_executor_info()` |
    `void` | `unset_host()` |
    `void` | `unset_port()` |
    `void` | `unset_stats()` |
    `void` | `unset_uptime_secs()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<ExecutorSummary._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### ExecutorSummary

          public ExecutorSummary()

    - #### ExecutorSummary

          public ExecutorSummary​(ExecutorInfo executor_info,
                                 String component_id,
                                 String host,
                                 int port,
                                 int uptime_secs)

    - #### ExecutorSummary

          public ExecutorSummary​(ExecutorSummary other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public ExecutorSummary deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>`

    - #### get_executor_info

          public ExecutorInfo get_executor_info()

    - #### set_executor_info

          public void set_executor_info​(ExecutorInfo executor_info)

    - #### unset_executor_info

          public void unset_executor_info()

    - #### is_set_executor_info

          public boolean is_set_executor_info()

      Returns true if field executor_info is set (has been assigned a value) and false otherwise

    - #### set_executor_info_isSet

          public void set_executor_info_isSet​(boolean value)

    - #### get_component_id

          public String get_component_id()

    - #### set_component_id

          public void set_component_id​(String component_id)

    - #### unset_component_id

          public void unset_component_id()

    - #### is_set_component_id

          public boolean is_set_component_id()

      Returns true if field component_id is set (has been assigned a value) and false otherwise

    - #### set_component_id_isSet

          public void set_component_id_isSet​(boolean value)

    - #### get_host

          public String get_host()

    - #### set_host

          public void set_host​(String host)

    - #### unset_host

          public void unset_host()

    - #### is_set_host

          public boolean is_set_host()

      Returns true if field host is set (has been assigned a value) and false otherwise

    - #### set_host_isSet

          public void set_host_isSet​(boolean value)

    - #### get_port

          public int get_port()

    - #### set_port

          public void set_port​(int port)

    - #### unset_port

          public void unset_port()

    - #### is_set_port

          public boolean is_set_port()

      Returns true if field port is set (has been assigned a value) and false otherwise

    - #### set_port_isSet

          public void set_port_isSet​(boolean value)

    - #### get_uptime_secs

          public int get_uptime_secs()

    - #### set_uptime_secs

          public void set_uptime_secs​(int uptime_secs)

    - #### unset_uptime_secs

          public void unset_uptime_secs()

    - #### is_set_uptime_secs

          public boolean is_set_uptime_secs()

      Returns true if field uptime_secs is set (has been assigned a value) and false otherwise

    - #### set_uptime_secs_isSet

          public void set_uptime_secs_isSet​(boolean value)

    - #### get_stats

          public ExecutorStats get_stats()

    - #### set_stats

          public void set_stats​(ExecutorStats stats)

    - #### unset_stats

          public void unset_stats()

    - #### is_set_stats

          public boolean is_set_stats()

      Returns true if field stats is set (has been assigned a value) and false otherwise

    - #### set_stats_isSet

          public void set_stats_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(ExecutorSummary._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(ExecutorSummary._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>`

    - #### isSet

          public boolean isSet​(ExecutorSummary._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(ExecutorSummary that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(ExecutorSummary other)

      Specified by:
        `compareTo` in interface `Comparable<ExecutorSummary>`

    - #### fieldForId

          public ExecutorSummary._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<ExecutorSummary,​ExecutorSummary._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`